# mga4
%define drakxtools_required_version  16.0
# mga3:
%define drakxtools_conflicted_version  15.57-3

%define libname lib%{name}


Summary:  Tools to configure the keyboard, the mouse and the graphic card
Name:     drakx-kbd-mouse-x11
Version:  1.21
Release:  %mkrel 1
Source0:  http://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz
License:  GPLv2+
Group:    System/Configuration
Url:      http://www.mageia.org/

BuildRequires: gettext
BuildRequires: perl_checker
BuildRequires: perl-devel
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: intltool
Requires: drakxtools-curses => %drakxtools_required_version
Requires: %{libname} = %{version}
Requires: polkit
%ifnarch %{sunsparc} %arm %mips
Requires: monitor-edid >= 1.12
%endif %{sunsparc}
# for program:
Conflicts: drakxtools < %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses < %drakxtools_conflicted_version
# for -noAutoAddDevices (mga5):
Conflicts: x11-server-xorg < 1.5.99.3-1.20090110.13
# for Cards+ using nvidia-current|nvidia71xx|nvidia96xx instead of nvidia/nvidia97xx/NVIDIA_LEGACY
Requires: ldetect-lst >= 0.1.174
Requires: drakx-kbd-mouse-x11-text

# we don't want to require X libs (xf86misc is always used inside an eval)
%global __requires_exclude ^libX|perl\\([a-z].*\\)

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%package text
Summary: Tools to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakx-kbd-mouse-x11 < %version-%release

%description text
This package contains the %_vendor X11 tools library.

%package -n %libname
Summary: Perl library to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version

%description -n %libname
This package contains the %_vendor X11 tools library.

%prep
%setup -q

%build
%make_build

%install
%make_install

%find_lang %name

# add nokmsboot if necessary and rebuild initrds so that they handle it
%triggerpostun -- drakx-kbd-mouse-x11 < 0.93-2
perl -I/usr/lib/libDrakX -MXconfig::various -e 'Xconfig::various::setup_kms();' &>/dev/null
%{_sbindir}/bootloader-config --action rebuild-initrds || :

%files -f %{name}.lang
%doc COPYING NEWS
%{_sbindir}/display_driver_helper
%{_sbindir}/drakx-update-background
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakx11
%{_bindir}/keyboarddrake
%{_bindir}/mousedrake
%{_bindir}/XFdrake
%{_bindir}/Xdrakres
%{_libexecdir}/drakkeyboard
%{_libexecdir}/drakmouse
%{_libexecdir}/drakx11
%{_datadir}/polkit-1/actions/*.policy

%files text
%{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm

%files -n %{libname}
%{_datadir}/libDrakX/pixmaps/*
%{_prefix}/lib/libDrakX/auto/*
%{_prefix}/lib/libDrakX/xf86misc/main.pm
%{_prefix}/lib/libDrakX/Xconfig/*.pm
%exclude %{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm
%dir %{_prefix}/lib/libDrakX/Xconfig
%{_prefix}/lib/libDrakX/*.pm


%changelog
* Tue Mar 28 2017 tmb <tmb> 1.21-1.mga6
+ Revision: 1095086
- display_driver_helper: detect amdgpu (mga#20538)

  + tv <tv>
    - drop pre-mga3 self conflict
    - kill pre-mga3 conflicts for nokmsboot

* Thu Mar 09 2017 tv <tv> 1.20-1.mga6
+ Revision: 1090746
- rely on libinput for synaptics (mga#20424)
- speedup checking for x11-driver-input-libinput

* Tue Mar 07 2017 tv <tv> 1.19-1.mga6
+ Revision: 1089566
- display_driver_helper:
  o prevent dkms autoload of display driver on Live system before xorg.conf
    exists (mga#19520)
- keyboarddrake:
  o revert switch from legacy (KOI8-R) 'ru4' keyboard to 'ru'
- XFdrake:
  o forbid 24bit for geode (mga#19927)

* Sat Nov 12 2016 tv <tv> 1.18-1.mga6
+ Revision: 1066868
- fix generating 00-keyboard.conf (mga#19761)

* Tue Nov 08 2016 tv <tv> 1.17-1.mga6
+ Revision: 1065901
- drop support for Alpha/PPC/SPARC
- XFdrake
  o do not try uselessly to install x11-driver-video-modesetting
  o when testing X:
    * fix displaying test background (as well as running)
    * -noAutoAddDevices option is no more supported by xserver

* Tue Sep 20 2016 ghibo <ghibo> 1.16-1.mga6
+ Revision: 1054581
- added newer and modern resolutions to xfree.pm

* Sat Sep 17 2016 akien <akien> 1.15-1.mga6
+ Revision: 1053571
- Change background symlink from default.jpg to default.png
- Change default background size to 1600x1200 to match mageia-theme

* Thu Jul 14 2016 tv <tv> 1.14-1.mga6
+ Revision: 1042045
- switch from legacy (KOI8-R) 'ru4' keyboard to 'ru'
- display_driver_helper:
  o detect grub2 when checking for liveCD/DVD
- stop installing/configuring vboxmouse (mga#18917)

* Mon Jul 11 2016 marja <marja> 1.13-1.mga6
+ Revision: 1041057
- New version 1.13 with the git fixes for release blocker mga#14476 by
  o Martin Whitaker and Pablo Saratxaga
  o and other improvements

* Wed Jun 22 2016 tv <tv> 1.12-1.mga6
+ Revision: 1037154
- install x11-driver-input-libinput instead of x11-driver-input-evdev

* Mon Jun 20 2016 tv <tv> 1.11-1.mga6
+ Revision: 1036884
- stop installing x11-driver-input-vmmouse
  (uneeded since kernel-4.1)
- add US Macintosh keyboard (mga#7519)
- translation updates

* Wed Jun 15 2016 marja <marja> 1.10-1.mga6
+ Revision: 1021609
- let Asturian users see the ast keyboard in the first selectKeyboard screen.
- add the Romanian basic programmers keyboard layout (mga#17333)
- translation updates

  + tv <tv>
    - set source URL to gitweb

* Thu Feb 11 2016 umeabot <umeabot> 1.9-2.mga6
+ Revision: 953798
- Mageia 6 Mass Rebuild

  + tv <tv>
    - switch to pkgconfig() BRs

* Sat Jul 18 2015 marja <marja> 1.9-1.mga6
+ Revision: 855132
- make first keyboard choice screen visible for Cymraeg speakers (mga#12348#c48)
- add the French B?\195?\169po keyboards (mga#1612)
- translation updates

* Sun Jun 28 2015 sander85 <sander85> 1.8-3.mga6
+ Revision: 846692
- Rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 1.8-2.mga6
+ Revision: 840620
- Rebuild for perl 5.22

* Mon May 18 2015 tv <tv> 1.8-1.mga5
+ Revision: 822271
- translation update

* Mon Apr 13 2015 tv <tv> 1.7-2.mga5
+ Revision: 820153
- rebuild for new drakx-kbd-mouse-x11

* Mon Apr 13 2015 tv <tv> 1.7-1.mga5
+ Revision: 820148
- do not propose to test modesetting in stage2 (mga#15687)

* Wed Feb 11 2015 ennael <ennael> 1.6-1.mga5
+ Revision: 814679
- suppress writing xorg.conf.d snippets for built in evdev defaults (mga#14476)
- fix typo in xorg.conf.d snippet

* Mon Feb 09 2015 ennael <ennael> 1.5-1.mga5
+ Revision: 814273
- translations updates
- ensure i18n settings are written to xorg.conf.d snippet
- write KEYMAP to /etc/vconsole.conf

* Fri Jan 02 2015 tv <tv> 1.4-1.mga5
+ Revision: 808041
- translations updates

* Wed Dec 24 2014 marja <marja> 1.3-1.mga5
+ Revision: 805451
- language updates; fixes for Turkish keyboards (mga#12348)

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 747774
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 tv <tv> 1.2-4.mga5
+ Revision: 695875
- exclude lower case perl reqs (not in std path)

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 678853
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jun 03 2014 tv <tv> 1.2-2.mga5
+ Revision: 632087
- rebuild for new perl

* Sat Jan 25 2014 colin <colin> 1.2-1.mga4
+ Revision: 568162
- Avoid double fork problems mga#11184 mga#12364
- Fix gpm check since systemd migration

* Tue Jan 07 2014 tmb <tmb> 1.1-3.mga4
+ Revision: 565277
- fix up conflicts and exclude

* Mon Jan 06 2014 tv <tv> 1.1-2.mga4
+ Revision: 565162
- split Xconfig::resolution module (debloat, mga#8455)

* Sat Dec 28 2013 tv <tv> 1.1-1.mga4
+ Revision: 562891
- adapt to new /etc/sysctl.d
- bump requires on drakxtools

* Mon Nov 25 2013 tv <tv> 1.0-1.mga4
+ Revision: 553058
- port to Gtk+3

* Sun Nov 17 2013 colin <colin> 0.113-1.mga4
+ Revision: 551666
- New version: 0.113

* Tue Oct 22 2013 umeabot <umeabot> 0.112-2.mga4
+ Revision: 541555
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 0.112-1.mga4
+ Revision: 496197
- New version: 0.112

* Wed Oct 02 2013 colin <colin> 0.111-1.mga4
+ Revision: 490321
- Add intltool as a BR for translatable policy files.
- New version: 0.111

* Wed Sep 04 2013 tmb <tmb> 0.110-4.mga4
+ Revision: 475176
- really fix conflicts

* Wed Sep 04 2013 tmb <tmb> 0.110-3.mga4
+ Revision: 475172
- conflict too old drakxtools-curses to manage upgrades

* Wed Sep 04 2013 colin <colin> 0.110-2.mga4
+ Revision: 475140
- Fix requires after polkit change
- Add back in compatibility symlink (done in drakx)

* Wed Sep 04 2013 colin <colin> 0.110-1.mga4
+ Revision: 475130
- New version: 0.110
- o use polkit for authorisation (mga#11125)

* Wed May 29 2013 tv <tv> 0.109-2.mga4
+ Revision: 429878
- rebuild for new perl

* Wed May 08 2013 blino <blino> 0.109-1.mga3
+ Revision: 412602
- 0.109
- install drakx-update-background (in /usr/sbin)

* Sat May 04 2013 anssi <anssi> 0.108-1.mga3
+ Revision: 412229
- never fallback to guessing display resolution from display size or
  forcing it to 1024x768, instead fallback to automatic display mode
  (mga#9934)
- never fallback to assuming a 1024x768 monitor if probing failed,
  instead select an automatic "Plug'n Play" monitor (mga#9272)
- select the preferred timing in case of multiple detailed timings
  in EDID (mga#9934)

* Mon Apr 22 2013 tmb <tmb> 0.107-1.mga3
+ Revision: 410867
- fix Russian keyboard config (mga#6308)

* Thu Apr 18 2013 tv <tv> 0.106-1.mga3
+ Revision: 410433
- fix detecting whether X11 is started on boot or not (mga#3618)

* Tue Jan 22 2013 fwang <fwang> 0.105-2.mga3
+ Revision: 390899
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 0.105-1.mga3
+ Revision: 388839
- update translations

* Thu Dec 06 2012 tv <tv> 0.104-1.mga3
+ Revision: 327171
- use 'es-latin1' mapping instead of 'es' for asturian (mga#6639)

* Mon Nov 26 2012 anssi <anssi> 0.103-1.mga3
+ Revision: 322189
- allow to select depth other than 16bit on Poulsbo (mga#5695)
- fix test background (Manuel Hiebel, mga#6349)
- keyboardrake:
  o german keyboard: default to variant with enabled deadkeys instead of
    "nodeadkeys variant" (mga#3791)
- display_driver_helper:
  o never select ums for radeon driver, it is not supported by current
    X11 driver anymore

* Tue Nov 13 2012 tmb <tmb> 0.102-3.mga3
+ Revision: 317554
- fix nouveau not getting loaded on all supported hw (P0, #7982)

* Thu May 31 2012 tv <tv> 0.102-2.mga3
+ Revision: 252110
- rebuild for new perl

* Mon Apr 30 2012 pterjan <pterjan> 0.102-1.mga2
+ Revision: 234317
- Do not install bootloader when configuring X during install (mga#5044)

* Thu Apr 05 2012 tv <tv> 0.101-1.mga2
+ Revision: 228712
- fix crash introduced in 0.100 (mga#5238)

* Thu Apr 05 2012 anssi <anssi> 0.100-1.mga2
+ Revision: 228612
- new version 0.100:
- do not run setxkbmap during text install
- do not generate a xorg.conf symlink pointing to nothing if
  xorg.conf.standard exists
- handle drivers needing SSE
- handle drivers needing firmware (mga#1471, mga#3421, mga#3466)
- display_driver_helper:
  o drop support for unused and unuseful --check-initrd option
  o allow use of nouveau without xorg.conf as it is now autoselected by
    X server in that case
  o load radeon module with modeset=0 when no firmware is installed
    (see mga#3466)
  o report KMS as not allowed with --is-kms-allowed on radeon hardware
    without radeon firmware, so that 'nokmsboot' will be used on such
    cases
  o add --setup-boot-kms action which sets/unsets 'nokmsboot' boot
    option as necessary

* Thu Mar 22 2012 tv <tv> 0.99-2.mga2
+ Revision: 225677
- drop crda,iw & wireless-regdb useless requires
- drop useless perl-Net-Telet requires

* Sun Dec 18 2011 colin <colin> 0.99-1.mga2
+ Revision: 184006
- Version 0.99 - 18 December 2011
- default to 24bit with QXL driver (16 bit doesn't work)
- do not offer to try KMS drivers during installation (mga#3711)
- display_driver_helper: use the new modprobe --resolve-alias instead
  of manually parsing --dry-run output
- convert mouse helper to use udevadm in order to work with udev 175+
- evdev needs to be loaded before calling getInputDevices_and_usb else
  it will lead to a crash

* Tue Nov 15 2011 tv <tv> 0.98-2.mga2
+ Revision: 167927
- fix conflict tag (fixing upgrade)

* Mon Nov 07 2011 dmorgan <dmorgan> 0.98-1.mga2
+ Revision: 164927
- Use new 0.98 tarball
  Fix use of macros in requires
- New version 0.98
  	Ensure that systemd targets corresponding to the required
  		runlevel are also updated (in addition to inittab).

  + tv <tv>
    - split out perl modules in lib subpackage so that installing kernel does not
      pull in XFdrake & urpmi (#374)

* Sun Jun 12 2011 ahmad <ahmad> 0.97-2.mga2
+ Revision: 105358
- Rebuild for perl-5.14.0

* Sat May 14 2011 ennael <ennael> 0.97-1.mga1
+ Revision: 98849
- update translations

* Wed May 04 2011 anssi <anssi> 0.96-1.mga1
+ Revision: 94951
- 0.96
  o display_driver_helper: do not load radeon driver if the proprietary
    driver is temporarily disabled on a PowerXpress system
  o prefer boot display devices when probing cards (fixes at least an issue
    with an SLI laptop as reported by Maarten Vanraes)
  o add support for Asturian keyboard
  o do not try to probe monitor information via X server on laptops (it
    doesn't work with recent X servers)
  o fallback to X server run-time autodetection on laptops instead of
    1024x768 when the monitor could not be probed (Mageia #1059)

* Sat Apr 23 2011 blino <blino> 0.95-1.mga1
+ Revision: 89860
- 0.95
- harddrake: configure default resolution (and background) even if card
  configuration fails (useful if vbox video driver is not available)

* Thu Apr 21 2011 anssi <anssi> 0.94-1.mga1
+ Revision: 89351
- version 0.94
  o disable debug output of display_driver_helper by default
  o fix ahead-of-X-server loading of proprietary and fglrx kernel modules
  o try unloading unconfigured drivers in "display_driver_helper
    --check-loaded"

* Mon Apr 18 2011 anssi <anssi> 0.93-2.mga1
+ Revision: 87563
- bump udev requirement due to a typo in udev rules

* Sun Apr 17 2011 anssi <anssi> 0.93-1.mga1
+ Revision: 87358
- version 0.93
  o add display_driver_helper script (used by XFdrake, udev, drakx, dkms)
  o add/remove nokmsboot boot option as needed
  o ask for reboot instead of X server restart, as it is commonly needed

* Sun Apr 10 2011 dmorgan <dmorgan> 0.91-4.mga1
+ Revision: 82685
- Add patch2: this fix the name of the runned program

* Wed Mar 30 2011 ennael <ennael> 0.91-3.mga1
+ Revision: 79039
- evdev needs to be loaded before calling getInputDevices_and_usb
  else it will lead to a crash (pterjan)

  + rtp <rtp>
    - disable monitor-edid on arm/mips

* Mon Feb 14 2011 dmorgan <dmorgan> 0.91-2.mga1
+ Revision: 51728
- Add patch0 to fix mga path

* Thu Feb 03 2011 dmorgan <dmorgan> 0.91-1.mga1
+ Revision: 46718
- imported package drakx-kbd-mouse-x11


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90-2mdv2011.0
+ Revision: 604828
- rebuild

* Wed May 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.90-1mdv2010.1
+ Revision: 546208
- 0.90
- translation updates

* Tue May 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.89-1mdv2010.1
+ Revision: 544494
- 0.89:
  - mouse:
    o remove imwheel support

* Thu Feb 25 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.88-1mdv2010.1
+ Revision: 511109
- 0.88:
- rename wacom driver package to its current name
- remove obsoleted video drivers from video driver list, add some new ones

* Tue Feb 09 2010 Anssi Hannula <anssi@mandriva.org> 0.87-1mdv2010.1
+ Revision: 503367
- 0.87
- XFdrake:
  o use -X option for ldconfig when switching alternatives, we only need the
    cache rebuilt
  o do not disable Composite extension by default when using fglrx driver
  o do not disable loading of dri module for non-glx drivers, as KMS drivers
    require it as well
  o do not disable loading of glx module for fbdev, in order to allow AIGLX
    to work in software rasterizer mode
  o do not add dbe and extmod modules to xorg.conf anymore, they are loaded
    by default anyway

* Fri Nov 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.86-1mdv2010.1
+ Revision: 470470
- keyboarddrake:
    o make sure to properly init the console keymap before dumping it during
      initial configuration, should fix console keymap setting in finish-install

* Thu Oct 22 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.85-2mdv2010.0
+ Revision: 458923
- 0.85:
- mousedrake:
    o fix input module path on 64 bit machines
    o don't install input drivers if X isn't here
- XFdrake:
    o enable ctrl+alt+backspace by default

* Wed Oct 21 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.84-2mdv2010.0
+ Revision: 458546
- Enable ctrl+alt+backspace by default

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 0.84-1mdv2010.0
+ Revision: 456365
- 0.84
- run ldconfig after update-alternatives during installer too
  (psb alternative does not have a higher priority than standard
   alternative, and ldconfig was run by the installer only before
   manually setting the alternative, which was not enough)

* Thu Oct 08 2009 Olivier Blin <oblin@mandriva.com> 0.83-1mdv2010.0
+ Revision: 456142
- 0.83
- use 28.8kHz as lower HorizSync (for 800x480)

* Wed Sep 23 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.82-1mdv2010.0
+ Revision: 447822
- 0.82:
- don't consider xorg.conf files with no InputDevice sections as invalid, fixes   bug reported on cooker mailing list

* Wed Sep 23 2009 Olivier Blin <oblin@mandriva.com> 0.81-1mdv2010.0
+ Revision: 447794
- 0.81
- add psb driver support (for Poulsbo chipset)

* Tue Sep 22 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.80-1mdv2010.0
+ Revision: 447352
- 0.80:
- XFdrake:
  o don't write sections in xorg.conf for USB wacom tablets, Synaptics
    touchpads, mouses using "evdev" or "mouse" and keyboards

* Mon Sep 14 2009 Olivier Blin <oblin@mandriva.com> 0.79-1mdv2010.0
+ Revision: 440578
- 0.79
- XFdrake:
  o fix DontZap option issue with old xorg.conf files
- allow to skip framebuffer setup (and thus splash removal)
  for newer harddrake releases

* Fri Sep 11 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 0.78-2mdv2010.0
+ Revision: 438498
- XFdrake:
  o fix DontZap option issue with old xorg.conf file

* Wed Sep 09 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 0.78-1mdv2010.0
+ Revision: 435706
- XFdrake:
  o added "Disable Ctrl-Alt-Backspace" option

* Wed Jul 22 2009 Anssi Hannula <anssi@mandriva.org> 0.77-1mdv2010.0
+ Revision: 398517
- XFdrake:
  o correctly detect proprietary drivers that are located in
    /usr/lib/drivername/xorg (#52384)
  o when probing for video cards, ignore cards which are not in the VIDEO_VGA
    PCI class (it is pretty common for dual-head ATI cards to have a
    VIDEO_OTHER device for example). This has the potential of breaking
    dual head setups, so it needs careful testing in Cooker ;) See bug #48028
  o fix crash when both monitor and driver can not be probed (in
    harddrake service or XFdrake --auto), for example with some Quanta
    IL1 netbooks using Chrome9 IC3
- keyboarddrake:
  o update the xkb HAL keys when the keyboard layout is changed so that it
    persists after a X server restart. Bug #49725

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Raise required version of drakx

  + Thierry Vignaud <tv@mandriva.org>
    - own /usr/lib/libDrakX/Xconfig

* Wed Apr 22 2009 Thierry Vignaud <tv@mandriva.org> 0.74-1mdv2009.1
+ Revision: 368669
- mousedrake:
  o fix vmmouse configuration for vmware (#49654)

* Tue Apr 21 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.73-1mdv2009.1
+ Revision: 368523
- 0.73:
- tweak Intel driver accel methods in xorg.conf so that it's more consistent
  with what the new Intel driver expects.

* Wed Apr 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.72-1mdv2009.1
+ Revision: 367370
- Update tarball for 0.72 release
- 0.72:
- XFdrake:
  o fix selecting proprietary drivers with xdriver=DRIVER boot option
  o do not add Load "freetype" to xorg.conf as the module does not exist
    anymore
  o use Plug'n'Play monitor when in vbox and don't specify any default
    resolution, fixes #49642

* Thu Apr 02 2009 Anssi Hannula <anssi@mandriva.org> 0.71-1mdv2009.1
+ Revision: 363558
- 0.71
- XFdrake:
  o add support for xdriver=DRIVER kernel boot option that affects
    non-interactive device autodetection, e.g. One boot
    (special value xdriver=free disables proprietary drivers)
  o add nouveau driver into the driver list

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.70-1mdv2009.1
+ Revision: 359185
- 0.70
- mousedrake:
  o configure input driver as 'vmmouse' if running in vmware (#29106)
  o test if the file is there before trying to install the packages, that saves
    a rpm -q in harddrake service after adding/removing/changing a mouse
- XFdrake:
  o adapt for recent changes in proprietary driver alternatives

  + Thierry Vignaud <tv@mandriva.org>
    - bump require on drakxtools for the vmmouse fix

* Thu Jan 29 2009 Pixel <pixel@mandriva.com> 0.69-1mdv2009.1
+ Revision: 335308
- XFdrake:
  o use option -noAutoAddDevices when testing X
    (useful during installation, #47237)
- conflicts with x11-server-xorg which do not handle -noAutoAddDevices

* Wed Jan 28 2009 Pixel <pixel@mandriva.com> 0.68-1mdv2009.1
+ Revision: 334889
- 0.68
- keyboarddrake:
  o bug fix: overwrite previous /etc/sysconfig/keyboard Xkb information when
    changing keyboard

* Thu Jan 08 2009 Pixel <pixel@mandriva.com> 0.67-1mdv2009.1
+ Revision: 327080
- 0.67:
- mousedrake:
  o synaptics driver in now in package x11-driver-input-synaptics (#45531)

* Thu Dec 18 2008 Pixel <pixel@mandriva.com> 0.66-1mdv2009.1
+ Revision: 315643
- 0.66:
- keyboarddrake:
  o do not configure hal directly, but write in /etc/sysconfig/keyboard Xkb
    information so hal can get them
  o new option "--migrate" which adds Xkb information in
    /etc/sysconfig/keyboard
  o correctly handle default XkbModel
    (so that we do not force pc105 when we should not)

* Mon Dec 08 2008 Pixel <pixel@mandriva.com> 0.65-1mdv2009.1
+ Revision: 311770
- 0.65:
- keyboarddrake:
  o configure hal so Xorg can get xkb info
    (nb: for now, you must "service haldaemon restart" to be taken into account)
- XFdrake:
  o generic flat planel must allow "800x480 @ 60.00 Hz (GTF) hsync: 29.82 kHz"
    so "HorizSync 31.5-90" is too strict, generating "HorizSync 29.5-90"
  o have Option "PanelGeometry" "XXxYY" on geode driver
  o do not display the weird ratios 128/75, 85/48 (for 1024x600 and 1360x768)
  o do not load "Type1" module by default (disabled in xserver-1.5.x)
  o special hack for gdium: the "default monitor" is "Plug'n Play" instead of
    good_default_monitor() (it will work since the resolution is passed to the
    kernel on gdium)
  o there is no reason "automatic" resolution should imply "automatic" color
    depth
- mousedrake, XFdrake:
  o do not use /dev/mouse symlink (in xorg.conf)
- mousedrake
  o do not propose to test the chosen mice
    (it doesn't handle evdev/synaptics and so is quite obsolete nowadays)

* Wed Oct 08 2008 Pixel <pixel@mandriva.com> 0.64-2mdv2009.1
+ Revision: 291224
- transform a conflict into a require to help rpmlib on mdv2007.1 upgrade

* Wed Oct 01 2008 Pixel <pixel@mandriva.com> 0.64-1mdv2009.0
+ Revision: 290356
- 0.64:
- XFdrake:
  o explicitly Load or Disable module "dri"
    (to be independent of Xorg's default choice)

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 0.63-1mdv2009.0
+ Revision: 289964
- updated translation

* Thu Sep 25 2008 Pixel <pixel@mandriva.com> 0.62-1mdv2009.0
+ Revision: 288154
- 0.62:
- XFdrake:
  o set "PreferredMode" in Monitor section if the user changes the resolution
   (we still do not use PreferredMode for the default resolution)

* Thu Sep 11 2008 Pixel <pixel@mandriva.com> 0.61-1mdv2009.0
+ Revision: 283822
- 0.61:
- keyboarddrake:
  o fix lithuanian keyboard choices (cf #41031)
- XFdrake:
  o do set a background image when using resolution "Automatic" (#43644)

* Tue Sep 09 2008 Pixel <pixel@mandriva.com> 0.60-1mdv2009.0
+ Revision: 283135
- 0.60:
- XFdrake:
  o allow xorg.conf to have no "Monitor" section (#42793)
  o [bugfix] fix clicking on "Options" when Composite is disabled
    (regression introduced in 0.58) (#43710)

* Mon Aug 18 2008 Pixel <pixel@mandriva.com> 0.59-1mdv2009.0
+ Revision: 273192
- 0.59:
- XFdrake:
  o use 24dpp by default, even on DRI (needed for kde4)
  o ensure we don't drop non-main "Device" (when modifying "Options", #41410)
  o use nvidia-current default settings for nvidia173 as well
  o no need to force XaaNoOffscreenPixmaps, it is the default now in
    x11-server

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.58-2mdv2009.0
+ Revision: 220705
- rebuild

  + Pixel <pixel@mandriva.com>
    - 0.58:
    - XFdrake:
      o Composite is now the default in xserver 1.4 (#35043)
      o do not create symlink /etc/X11/X to ../../usr/bin/Xorg (#41363)
      o drop support for /etc/X11/XF86Config (replaced by xorg.conf for some time now)
    - mousedrake:
      o evdev and imwheel handle orthogonal things, so do use imwheel even if we
      need evdev (#40088)

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 0.57-1mdv2008.1
+ Revision: 191648
- 0.57:
- XFdrake:
  o workaround pb with nvidia driver: make dm restart xserver (#38297)

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 0.56-1mdv2008.1
+ Revision: 191640
- 0.56:
- XFdrake:
  o do not disable RenderAccel on nvidia-current
    (regression introduced in 0.21)

* Thu Mar 27 2008 Pixel <pixel@mandriva.com> 0.55-1mdv2008.1
+ Revision: 190640
- 0.55:
- XFdrake:
  o disable "DynamicTwinView" when not using TwinView (#39171)

* Tue Mar 25 2008 Pixel <pixel@mandriva.com> 0.54-1mdv2008.1
+ Revision: 189931
- 0.54
- keyboarddrake library:
  o in drakx-finish-install, keyboard is asked after asking country, so have a
    good default based on country too (was done for pt_BR but not fr_XX)
    (#39221)

* Fri Mar 21 2008 Pixel <pixel@mandriva.com> 0.53-1mdv2008.1
+ Revision: 189379
- 0.53:
- XFdrake:
  o allow to set "EXA" on "intel" driver (#39162)

* Thu Mar 20 2008 Pixel <pixel@mandriva.com> 0.52-1mdv2008.1
+ Revision: 189168
- 0.52:
- XFdrake:
  o add option "Force display mode of DVI" on driver "nvidia" (#30066)
- XFdrake library:
  o ensure set_default_background() doesn't fail (#39065)
    (ie default to 1024x768 if 0x0 is given)

* Wed Mar 19 2008 Pixel <pixel@mandriva.com> 0.51-1mdv2008.1
+ Revision: 188829
- 0.51:
- XFdrake:
  o use 24bpp on savage (#38750)
  o do use EDID HorizSync/VertRefresh on 16/10 (regression introduced in 0.50)
- keyboarddrake:
  o default romanian keyboard is qwerty (cf #38450)
  o "ro" really is "ro(std_cedilla)"
    (to be more standard on unpatched xkeyboard-config)
  o "ro(us)" is wrong and not qwerty, use "ro(winkeys)" which is the only
    qwertz from symbols/ro

* Tue Mar 11 2008 Pixel <pixel@mandriva.com> 0.50-1mdv2008.1
+ Revision: 185860
- 0.50:
- XFdrake:
  o if the EDID gives a valid 16/10 preferred resolution (even if duplicated),
    but no HorizSync/VertRefresh, use a generic flat panel
    HorizSync/VertRefresh (needed for edid.lcd.dell-inspiron-6400, #37971)
  o handle DRIVER2_NO_SSE (from Cards+), needed by nvidia-current requiring SSE

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.49-1mdv2008.1
+ Revision: 176384
- 0.49:
- XFdrake: background images are now jpeg files

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.48-1mdv2008.1
+ Revision: 176049
- 0.48:
- XFdrake:
  o when setting background for the resolution, handle "hour"-based
    backgrounds (also add Mandriva.xml symlink)

* Wed Feb 27 2008 Pixel <pixel@mandriva.com> 0.47-1mdv2008.1
+ Revision: 175772
- 0.47:
- XFdrake:
  o when setting background for the resolution, handle "hour"-based backgrounds

* Mon Feb 18 2008 Pixel <pixel@mandriva.com> 0.46-1mdv2008.1
+ Revision: 171486
- 0.46:
- XFdrake:
  o add 1024x600 (used on Samsung Q1Ultra) (#37889)

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 0.45-1mdv2008.1
+ Revision: 162578
- 0.45:
- XFdrake:
  o add 800x480 (used on belinea s.book) (#37486)

* Fri Jan 25 2008 Pixel <pixel@mandriva.com> 0.44-1mdv2008.1
+ Revision: 157893
- 0.44:
- library for installer:
  o do not force "us" keyboard on everybody that choose "English (American)"
    (#36575)

* Wed Jan 23 2008 Pixel <pixel@mandriva.com> 0.43-1mdv2008.1
+ Revision: 157017
- 0.43
- XFdrake:
  o if the EDID gives a valid EISA_ID, a valid 16/10 preferred resolution, but
    no HorizSync/VertRefresh, use a generic flat panel HorizSync/VertRefresh

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 0.42-1mdv2008.1
+ Revision: 156427
- 0.42:
- XFdrake:
  o sort monitors in text mode so that "Generic|..." monitors do not appear
    in the middle of "Vendor|..." monitors
- use SendCoreEvents instead of AlwaysCore for wacoms
- mousedrake:
  o use udev in $PATH instead of /lib/udev/usb_id
    (need latest udev pkg)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.41-2mdv2008.1
+ Revision: 152146
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Olivier Blin <oblin@mandriva.com> 0.41-1mdv2008.1
+ Revision: 120129
- 0.41
- mousedrake:
  o use SendCoreEvents instead of AlwaysCore for Synaptics touchpads (#36140)

* Mon Dec 10 2007 Pixel <pixel@mandriva.com> 0.40-1mdv2008.1
+ Revision: 116878
- 0.40:
- XFdrake:
  o never write a ModeLine when using fglrx driver (#30934)

* Fri Nov 30 2007 Pixel <pixel@mandriva.com> 0.39-1mdv2008.1
+ Revision: 114098
- 0.39:
- keyboarddrake:
  o use kr(kr104) for the korean keyboard, and don't prompt for a toggle key
    since korean use input method instead
- use /dev/input/by-id/xxx device instead of vendor+product for evdev mice
  (vendor+product support is dropped in x11-driver-input-evdev-1.2.0)
- fix device /dev/input/by-id/usb-$ID_SERIAL-event-mouse for wacoms
  when the ID_SERIAL contains special chars

* Thu Nov 01 2007 Anssi Hannula <anssi@mandriva.org> 0.38-1mdv2008.1
+ Revision: 104691
- 0.38
  o display message "This setting will be activated after the
    installation." only during installation (Pixel)
  o handle new fglrx packages with fglrx_dri.so handled by alternatives

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 0.37-1mdv2008.0
+ Revision: 95467
- 0.37:
- if we probe a monitor EISA_ID but we don't have corresponding
  HorizSync/VertRefresh, we must not the monitor info
- when checking dkms module packages, check that modules are either
  available in urpmi media, or already installed (fix detection in live)

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 0.36-1mdv2008.0
+ Revision: 95308
- 0.36:
- better fix for typo in 0.32: don't wrongly default to "automatic" resolution
  when creating xorg.conf (in non --auto) (#34453)

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 0.35-1mdv2008.0
+ Revision: 95066
- updated translation

* Mon Oct 01 2007 Thierry Vignaud <tv@mandriva.org> 0.34-1mdv2008.0
+ Revision: 94300
- updated translation

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.33-1mdv2008.0
+ Revision: 93772
- require drakxtools >= 10.4.221 for VirtualBox detection
- 0.33
- we don't set ModulesPath to DRI_GLX_SPECIAL value, so we must read it
  differently so that Xconfig::various::info() is correct (#31326)
- add support for x11-driver-input-vboxmouse when inside a VirtualBox guest
- fix typo in 0.32: don't wrongly default to "automatic" resolution when
  creating xorg.conf (in non --auto)

* Wed Sep 26 2007 Pixel <pixel@mandriva.com> 0.32-1mdv2008.0
+ Revision: 93050
- 0.32:
- monitor-probe-using-X can now return EDIDs. if Xorg find an EDID (whereas
  monitor-get-edid-using-vbe failed), defaults to "Plug'n Play" monitor (ie
  let Xorg do things automatically) instead of good_default_monitor.
  (requires monitor-edid 1.12)
- fix typo in 0.30: do not use "Automatic" resolution by default in --auto

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 0.31-1mdv2008.0
+ Revision: 92925
- updated translations

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 0.30-1mdv2008.0
+ Revision: 92836
- 0.30:
- add support for "Automatic" resolution (aka "let xorg do everything")
- when user asks for "Plug'n Play", silently default to Xorg auto-detection
  when we fail to auto-detect

* Fri Sep 21 2007 Olivier Blin <oblin@mandriva.com> 0.29-1mdv2008.0
+ Revision: 91806
- 0.29
- unload drivers loaded by monitor-probe-using-X
  (fix fglrx usage when harddrake probes using X and loads radeon driver)

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 0.28-1mdv2008.0
+ Revision: 91561
- 0.28:
- when using evdev for mice, ensure it doesn't match a keyboard
  (eg: in case of a mouse+keyboard combo) (#32905)
- fix regression in 0.24: remove bogus duplicates in monitors tree (#33778)

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 0.27-1mdv2008.0
+ Revision: 91012
- 0.27:
- for evdev configured mice, specify bustype
  (useful for "Macintosh mouse button emulation" which has same vendor/product
   as "AT Translated Set 2 keyboard")
  (need drakxtools-backend 10.4.203)

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 0.26-1mdv2008.0
+ Revision: 89159
- 0.26: handle fglrx-hd2000 driver (Anssi)

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.25-2mdv2008.0
+ Revision: 84827
- use new common pam config files for usermode/consolehelper

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 0.25-1mdv2008.0
+ Revision: 84000
- 0.25:
- in the list of available Xorg drivers, add "Driver" from Cards+
  (will ease the maintainance of the list of drivers in Xconfig/card.pm)
- minimal support for allowing to choose evdev on all mice

* Fri Sep 07 2007 Pixel <pixel@mandriva.com> 0.24-1mdv2008.0
+ Revision: 81477
- 0.24:
- do not configure XFS, it's useless
- fix default_headers (ie allow XFdrake to create xorg.conf from scratch again)
- keep the order from MonitorsDB file
  (allows "Flat Panel 800x600" to be before "Flat Panel 1024x768")
  (needs a nicely sorted MonitorsDB though)
- correct license (GPLv2+)

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 0.23-1mdv2008.0
+ Revision: 80593
- 0.23: do not start xfs for the test (#33219)

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.22-2mdv2008.0
+ Revision: 74705
- allow XFdrake to be run as root by console user with password

* Mon Aug 27 2007 Pixel <pixel@mandriva.com> 0.22-1mdv2008.0
+ Revision: 71952
- new release, 0.22
- do configure XFS if installed
- when removing/replacing an InputDevice section, ensure we remove the
  corresponding entry in ServerLayout. ie do not rely on InputDevice sections
  to use XFdrake-compatible Identifiers (as suggested by fcrozat)
- add avivo in the Xorg drivers list
- handle libglx.so provided by standard.conf alternative
- handle x11-driver-video-fglrx instead of ati

* Wed Aug 08 2007 Pixel <pixel@mandriva.com> 0.21-1mdv2008.0
+ Revision: 60556
- new release, 0.21 (conflicts with ldetect-lst < 0.1.174)
- handle nvidia-current instead of nvidia97xx (thanks to Anssi)
- handle x11-driver-video-$nvidia instead of $nvidia
- adapt to kbd instead of console-tools: s/kmap/map/

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 0.20-1mdv2008.0
+ Revision: 58638
- new release, 0.20
- fix detection of touchpad on some kernels (#31584)
  (need drakxtools-backend >= 10.4.145)
- internal: add many options as having to be used only once, easing their use
  and fixing setting them
  (eg #31942 where one can't click "Options" after setting EXA)
- drop support for installing/configuring 915resolution
  (no more needed since x11-driver-video-intel 2.0)
- do not configure using xfs anymore (#32051)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 0.19-1mdv2008.0
+ Revision: 50624
- new release, 0.19
- wacom configuration:
  o enhance configuration by using /dev/input/by-id/xxx
    (need drakxtools-backend >= 10.4.144)
  o add "pad" InputDevice section
- fix displaying "3D hardware acceleration: no" for nvidia proprietary driver
  (#31326)

* Thu Jun 14 2007 Pixel <pixel@mandriva.com> 0.18-1mdv2008.0
+ Revision: 39296
- new release, 0.18
- handle resolution switch via xrandr without restarting X (#30896)
- add 1366x768, 1360x768 and 1360x765 resolutions
- add big standard resolutions (4/3, 16/10, 16/9)
- [bugfix] fix test message not translated (#30261)
- remove all fglrx options, hopefully default is good enough
  (and at least MonitorLayout option is depreacated as reported on cooker)

* Tue May 15 2007 Thierry Vignaud <tv@mandriva.org> 0.17-2mdv2008.0
+ Revision: 26963
- package NEWS instead of ChangeLog

* Wed May 09 2007 Pixel <pixel@mandriva.com> 0.17-1mdv2008.0
+ Revision: 25426
- new release, 0.17
- fix using proprietary driver (remove debug code) (thanks to Michael Altizer)

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 0.16-1mdv2008.0
+ Revision: 19528
- new release, 0.16
- ask "Do you wish to use proprietary driver" before installing the needed packages
- don't use 1280x1024 prefered resolution
  (using prefered resolution only when adding explicit gtf modelines)
- handle new intel driver (including migration from "i810")
- workaround buggy fglrx driver: make dm restart xserver (#29550)


* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 0.15-1mdv2007.1
+ Revision: 150608
- new release, 0.15
- drakkeyboard & rescue: fix loadkeys_files() for x86_64
- ensure VertRefresh range include 60Hz (for buggy edids, #30094)

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.14-1mdv2007.1
+ Revision: 148566
- new release, 0.14
- enable Composite by default on nvidia97xx and nvidia96xx
  (still disabled on nvidia71xx and fglrx) (#29445)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 0.13-1mdv2007.1
+ Revision: 148018
- bug fix release, 0.13
- fix typo making installation discard nvidia driver
- fix group (#29810)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 0.12-2mdv2007.1
+ Revision: 147859
- new release, 0.12
- ensure ModulePath is not dropped after changing an option (#29591)

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 0.11-2mdv2007.1
+ Revision: 144896
- do not require X libs, it works without them
- moved the require monitor-edid here from drakxtools-curses

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.11-1mdv2007.1
+ Revision: 144462
- introduce pkg_name_for_Driver2 (for One generation)

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 0.10-1mdv2007.1
+ Revision: 142179
- remove update_menus since there is no menu file
- use option AddARGBGLXVisuals when Composite is enabled on proprietary nvidia
  driver (cf #28779)
- remove empty section Extensions after disabling Composite
- ensure "/usr/lib/xorg/modules/" is removed from ModulePath (note the ending "/")
- if we have some special ModulePath, ensure the last one is the standard ModulePath
- requires drakxtools-curses for interactive/curses.pm (#29423)

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 0.9-1mdv2007.1
+ Revision: 142077
- bug fix release, 0.9:
- fix typo breaking GL configuration for fglrx (#29379)
- old behaviour of X auto configuration: prompt for (old school) multi-head
  choice instead of failing
- adapt the card names to Cards+ changes
  (nb: this is mostly obsolete stuff, to be dropped after 2007.1)

* Mon Mar 05 2007 Pixel <pixel@mandriva.com> 0.8-1mdv2007.1
+ Revision: 133011
- bug fix release:
- the Driver must be nvidia for nvidia drivers
- remove debug code forcing GeForce
- don't allow to install when ldetect-lst is not updated

* Fri Mar 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-1mdv2007.1
+ Revision: 131498
- handle 'nvidia97xx',  'nvidia96xx' & 'nvidia71xx' NV drivers

* Thu Mar 01 2007 Pixel <pixel@mandriva.com> 0.6-1mdv2007.1
+ Revision: 130553
- use ModulePath "/usr/LIB/xorg/modules/extensions/nvidia"
  instead of Load "/usr/LIB/xorg/modules/extensions/nvidia/libglx.so"
  (#28779)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump conflict on drakxtools due to icon move

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 118204
- new release

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 0.4-1mdv2007.1
+ Revision: 114821
- bug fix release, 0.4
- keyboarddrake: make it work again (#28438)

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2007.1
+ Revision: 110904
- relax requires on drakxtools; we don't need gtk+ and the like
- do use translations

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2-1mdv2007.1
+ Revision: 110843
- new release
- add missing keyboard.pm & mouse.pm

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2007.1
+ Revision: 110801
- buildrequire ncurses-devel
- buildrequire perl-devel
- add buildrequires
- we are not noarch
- keyboardrake, mousedrake and XFdrake are splited in their own package
- add 2560x1600 (16/10) (pixel)
- add plugins handling to XFdrake (pixel)
- Import drakx-kbd-mouse-x11

